#include <iostream>
#include <stdio.h>
#include <math.h>

using namespace std;

int main()
{
    long long int n;
    long long int a[55];
    scanf("%lld", &n);
    a[0]=1;
    a[1]=2;
    a[2]=5;
    for(int k=3; k<54; k++)
   {
       a[k]=a[k-3]*10;
   }
   long long int p=0;
   int k=53;
    while(n>=0)
    {
        if(n>=a[k])
        {
            n-=a[k];
            p++;
        }
        else
        {
            if(k>0)
            {
                k--;
            }
            else
            {
                break;
            }
        }

    }
    printf("%lld", p);
}